Subject: Re: Git is removing . from the last part of user.name

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Aug 2021 09:25:10 -0700

Jeff King <[email-masked]> writes:

> On a somewhat lesser note, I'm tempted to say that "." probably was
> never that useful (compared to say, comma, which is the gecos
> separator), and we could probably just drop it from the crud list.

Yeah, the only excuse I can think of using to justify treating "."
any specially can be seen in the contrast between the To: and Cc:
header of this message, where the human-readable part of brian and
daniel must be inside a pair of double-quotes while your name needs
no such quoting.

But we do not remove "crud()" crud from the middle, so that's not
even it (the only crud we remvoe from the middle are newlines and
'<' and '>').